# Generated by Django 3.2.19 on 2023-06-06 21:40

from django.db import connection, migrations


class Migration(migrations.Migration):
    atomic = False
    dependencies = [
        ('integrated_channel', '0027_orphanedcontenttransmissions'),
    ]
    db_engine = connection.settings_dict['ENGINE']
    if 'sqlite3' in db_engine:
        operations = [
            migrations.AlterUniqueTogether(
                name='contentmetadataitemtransmission',
                unique_together={('integrated_channel_code', 'plugin_configuration_id', 'content_id')},
            ),
        ]
    else:
        operations = [
            migrations.SeparateDatabaseAndState(
                state_operations=[
                    migrations.AlterUniqueTogether(
                        name='contentmetadataitemtransmission',
                        unique_together={('integrated_channel_code', 'plugin_configuration_id', 'content_id')},
                    ),
                ],
                database_operations=[
                    migrations.RunSQL(sql="""
                        CREATE UNIQUE INDEX content_transmission_channel_code_plugin_id_content_id_unique
                        ON integrated_channel_contentmetadataitemtransmission (integrated_channel_code, plugin_configuration_id, content_id)
                        ALGORITHM=INPLACE LOCK=NONE
                        """, reverse_sql="""
                        DROP INDEX content_transmission_channel_code_plugin_id_content_id_unique
                        ON integrated_channel_contentmetadataitemtransmission
                        """,
                                      ),
                ],
            ),
        ]
